GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
gdcm::network::CEchoRQ Class Reference

CEchoRQ this file defines the messages for the cecho action. More...

`#include <gdcmCEchoMessages.h>`

Inheritance diagram for gdcm::network::CEchoRQ:
[legend]
Collaboration diagram for gdcm::network::CEchoRQ:
[legend]

## Public Member Functions

std::vector < PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)

## Public Attributes

UIComp | AffectedSOPClassUID
uint16_t | MessageID

## Detailed Description

CEchoRQ this file defines the messages for the cecho action.

## Member Function Documentation

std::vector<PresentationDataValue> gdcm::network::CEchoRQ::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery
| ) |  |

virtual

Implements gdcm::network::BaseCompositeMessage.

## Member Data Documentation

UIComp gdcm::network::CEchoRQ::AffectedSOPClassUID

uint16_t gdcm::network::CEchoRQ::MessageID

The documentation for this class was generated from the following files:

- gdcmCEchoMessages.h
- gdcmDIMSE.h